You are viewing a plain text version of this content. The canonical link for it is here.
Posted to gitbox@yetus.apache.org by aw...@apache.org on 2022/05/04 17:15:56 UTC

[yetus] 21/24: HADOOP-5088. Include releaseaudit target as part of developer test-patch target. Contributed by Giridharan Kesavan.

This is an automated email from the ASF dual-hosted git repository.

aw pushed a commit to tag prehistory
in repository https://gitbox.apache.org/repos/asf/yetus.git

commit d17c67ea642116afb2be81dd080e06ebce54009b
Author: Nigel Daley <ni...@apache.org>
AuthorDate: Fri Jan 30 06:02:06 2009 +0000

    HADOOP-5088. Include releaseaudit target as part of developer test-patch target.  Contributed by Giridharan Kesavan.
    
    git-svn-id: https://svn.apache.org/repos/asf/hadoop/core/trunk@739187 13f79535-47bb-0310-9956-ffa450edef68
---
 src/test/bin/test-patch.sh | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

diff --git a/src/test/bin/test-patch.sh b/src/test/bin/test-patch.sh
index bdaca71e..947d1a37 100755
--- a/src/test/bin/test-patch.sh
+++ b/src/test/bin/test-patch.sh
@@ -158,12 +158,8 @@ setup () {
   echo "======================================================================"
   echo ""
   echo ""
-  ### DISABLE RELEASE AUDIT UNTIL HADOOP-4074 IS FIXED
-  ### Do not call releaseaudit when run by a developer
-  ### if [[ $HUDSON == "true" ]] ; then
-    ### echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1"
-    ### $ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1
-  ### fi
+  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1"
+  $ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1
   echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -Djavac.args="-Xlint -Xmaxwarns 1000" $ECLIPSE_PROPERTY -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= clean tar > $PATCH_DIR/trunkJavacWarnings.txt 2>&1"
   $ANT_HOME/bin/ant -Dversion="${VERSION}" -Djavac.args="-Xlint -Xmaxwarns 1000" $ECLIPSE_PROPERTY -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= clean tar > $PATCH_DIR/trunkJavacWarnings.txt 2>&1
   if [[ $? != 0 ]] ; then
@@ -342,8 +338,8 @@ checkReleaseAuditWarnings () {
   echo "======================================================================"
   echo ""
   echo ""
-  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1"
-  $ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1
+  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1"
+  $ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1
 
   ### Compare trunk and patch release audit warning numbers
   if [[ -f $PATCH_DIR/patchReleaseAuditWarnings.txt ]] ; then
@@ -675,11 +671,10 @@ checkFindbugsWarnings
 (( RESULT = RESULT + $? ))
 checkEclipse
 (( RESULT = RESULT + $? ))
+checkReleaseAuditWarnings
+(( RESULT = RESULT + $? ))
 ### Do not call these when run by a developer 
 if [[ $HUDSON == "true" ]] ; then
-  ### DISABLE RELEASE AUDIT UNTIL HADOOP-4074 IS FIXED
-  ### checkReleaseAuditWarnings
-  ### (( RESULT = RESULT + $? ))
   runCoreTests
   (( RESULT = RESULT + $? ))
   runContribTests
@@ -690,5 +685,3 @@ $JIRA_COMMENT_FOOTER"
 
 submitJiraComment $RESULT
 cleanupAndExit $RESULT
-
-